/*
* Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies). 
* All rights reserved.
* This component and the accompanying materials are made available
* under the terms of "Eclipse Public License v1.0"
* which accompanies this distribution, and is available
* at the URL "http://www.eclipse.org/legal/epl-v10.html".
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:  stub HbSelectionDialog
* 
*/
#include <QGraphicsWidget>

#include "hbaction.h"
#include "hblabel.h"
#include "hbselectiondialog.h"
#include "hbabstractitemview.h"

HbSelectionDialog *HbSelectionDialog::currentInstance = 0;
bool HbSelectionDialog::execReturnPrimary = true;
bool HbSelectionDialog::primaryReturnNull = false;
bool HbSelectionDialog::secondaryReturnNull = false;
int HbSelectionDialog::openAmount = 0;

HbSelectionDialog::HbSelectionDialog(QGraphicsItem *parent) 
    : HbDialog(parent)
    , mModel(0)
    , mListView(0)
    , mSelectionMode(HbAbstractItemView::InvalidSelection)
{
    currentInstance = this;
}
    
HbSelectionDialog::~HbSelectionDialog()
{
    mListView = 0;
    mModel = 0;
    mSelectionMode = HbAbstractItemView::InvalidSelection;
    currentInstance = 0;
}


void HbSelectionDialog::setSelectionMode(HbAbstractItemView::SelectionMode mode)
{
    mSelectionMode = mode;
}
HbAbstractItemView::SelectionMode HbSelectionDialog::selectionMode() const
{
    return mSelectionMode;
}

void HbSelectionDialog::setModel(QAbstractItemModel* model)
{
    mModel = model;
}
QAbstractItemModel* HbSelectionDialog::model() const
{
    return mModel;
}
QModelIndexList HbSelectionDialog::selectedModelIndexes() const
{
    return mModelIndexList;
}

void HbSelectionDialog::setSelectedModelIndexes(QModelIndexList list)
{
    mModelIndexList.clear();
    mModelIndexList.append(list);
}

void HbSelectionDialog::setListView(HbListView* list)
{
    mListView = list;
}

QGraphicsItem* HbSelectionDialog::primitive(const QString &itemName) const
{
    if(itemName == "list")
    {
        return (QGraphicsItem*)mListView;
    }
    return (QGraphicsItem*)this;
}

QString HbSelectionDialog::selectionTitle() const
{
    return QString();
}
void HbSelectionDialog::setSelectionTitle(const QString& title)
{
    Q_UNUSED(title)
}
