/*
* Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies). 
* All rights reserved.
* This component and the accompanying materials are made available
* under the terms of "Eclipse Public License v1.0"
* which accompanies this distribution, and is available
* at the URL "http://www.eclipse.org/legal/epl-v10.html".
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:
* 
*/

#include "xqaiwrequeststub.h"

int XQAiwRequest::mSetArgumentsCallCount = 0;
int XQAiwRequest::mLastErrorReturnValue = 0;
int XQAiwRequest::mLastErrorCallCount = 0;
int XQAiwRequest::mSendCallCount = 0;
bool XQAiwRequest::mSendFails = false;
int XQAiwRequest::mSetEmbeddedCallCount = 0;

XQAiwRequest::XQAiwRequest()
{
    
}

XQAiwRequest::~XQAiwRequest()
{
    
}

void XQAiwRequest::setArguments(const QList<QVariant> &arguments)
{
    Q_UNUSED(arguments);
    mSetArgumentsCallCount++;
}

int XQAiwRequest::lastError() const
{
    mLastErrorCallCount++;
    return mLastErrorReturnValue;
}

bool XQAiwRequest::send()
{
    mSendCallCount++;
    return !mSendFails;
}

void XQAiwRequest::setEmbedded(bool embedded)
{
    Q_UNUSED(embedded);
    mSetEmbeddedCallCount++;
}
